<div class="flex flex-column gap-4 my-8">

    <div class="grid">

        <!-- left-column -->
        <div class="col px-4">
            <div class="flex flex-column gap-4">
                <div class="text-4xl font-bold">Product</div>
                <form [formGroup]="productForm" (ngSubmit)="onSubmit()">
                    <div class="flex flex-column gap-3">

                        <div class="font-bold text-lg">Products</div>

                        <div class="flex flex-column">
                            <label>SKU :</label>
                            <input class="p-2" type="text" formControlName="sku">
                            <div *ngIf="productForm.get('sku')?.invalid && (productForm.get('sku')?.dirty || productForm.get('sku')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Product :</label>
                            <input class="p-2" type="text" formControlName="product">
                            <div *ngIf="productForm.get('product')?.invalid && (productForm.get('product')?.dirty || productForm.get('product')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Brand :</label>
                            <div class="flex">
                                <input class="p-2" type="radio" value="h&m" formControlName="brand">
                                <label>H&M</label>
                            </div>
                            <div class="flex">
                                <input class="p-2" type="radio" value="zara" formControlName="brand">
                                <label>Zara</label>
                            </div>
                            <div class="flex">
                                <input class="p-2" type="radio" value="uniqlo" formControlName="brand">
                                <label>Uniqlo</label>
                            </div>
                            <div *ngIf="productForm.get('brand')?.invalid && (productForm.get('brand')?.dirty || productForm.get('brand')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Category :</label>
                            <select class="p-2" formControlName="category">
                                <option value=""></option>
                                <option *ngFor="let item of categories" [value]="item">{{item}}</option>
                            </select>
                            <div *ngIf="productForm.get('category')?.invalid && (productForm.get('category')?.dirty || productForm.get('category')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Description :</label>
                            <textarea class="p-2" type="date" formControlName="description"></textarea>
                            <div *ngIf="productForm.get('description')?.invalid && (productForm.get('description')?.dirty || productForm.get('description')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div> 

                        <div class="flex flex-column">
                            <label>Price : </label>
                            <input class="p-2" type="number" formControlName="price">
                            <div *ngIf="productForm.get('price')?.invalid && (productForm.get('price')?.dirty || productForm.get('price')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Quantity : </label>
                            <input class="p-2" type="number" formControlName="quantity">
                            <div *ngIf="productForm.get('quantity')?.invalid && (productForm.get('quantity')?.dirty || productForm.get('quantity')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Shipment :</label>
                            <select class="p-2" formControlName="shipment">
                                <option value=""></option>
                                <option *ngFor="let item of shipping" [value]="item.price">{{item.name}}</option>
                            </select>
                            <div *ngIf="productForm.get('shipment')?.invalid && (productForm.get('shipment')?.dirty || productForm.get('shipment')?.touched)">
                                <div class="text-red-500">Required</div>
                            </div>
                        </div>

                        <div>
                                <div *ngIf="showError" class="text-red-500 mb-4">SKU Sudah Terdaftar</div>
                            <button [disabled]="!productForm.valid" type="submit">Simpan</button>
                        </div>

                    </div>
                </form>
            </div>
        </div>

        <!-- right-column -->
        <div class="col px-4">
            <div class="flex flex-column gap-4">
                <div class="text-4xl font-bold">Data Product</div>
                <table>
                        <thead>
                          <tr>
                            <th width="150">Aksi</th>
                            <th>SKU</th>
                            <th>Product</th>
                            <th>Price</th>
                            <th>Quantity</th>
                            <th>Shipment</th>
                            <th>Total</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr *ngFor="let data of listProduct">
                            <td>
                                <button>Detail</button>
                                <button>Hapus</button>
                            </td>
                            <td>{{data.sku}}</td>
                            <td>{{data.product}}</td>
                            <td>{{data.price}}</td>
                            <td>{{data.quantity}}</td>
                            <td>{{data.shipment}}</td>
                            <td>{{data.total}}</td>
                          </tr>
                        </tbody>
                        </table>
            </div>
        </div>


    </div>
</div>